From 295cbb73faec719210d44b361bad3042a65617bc Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Thu, 26 Sep 2019 12:02:11 -0700
Subject: [PATCH v1 03/12] Explain: Differentiate between a node projecting or
 not.

Author:
Reviewed-By:
Discussion: https://postgr.es/m/
Backpatch:
---
 src/backend/commands/explain.c                |   5 +-
 src/test/regress/expected/aggregates.out      |  12 +-
 src/test/regress/expected/alter_table.out     |  12 +-
 .../regress/expected/create_function_3.out    |   6 +-
 src/test/regress/expected/domain.out          |  12 +-
 src/test/regress/expected/fast_default.out    |  10 +-
 src/test/regress/expected/inherit.out         |  64 ++--
 src/test/regress/expected/join.out            | 280 +++++++++---------
 src/test/regress/expected/join_hash.out       |  40 +--
 src/test/regress/expected/limit.out           |  22 +-
 src/test/regress/expected/plpgsql.out         |  14 +-
 src/test/regress/expected/rangefuncs.out      |  10 +-
 src/test/regress/expected/rowsecurity.out     |   4 +-
 src/test/regress/expected/rowtypes.out        |   8 +-
 src/test/regress/expected/select_distinct.out |  10 +-
 src/test/regress/expected/select_parallel.out |  14 +-
 src/test/regress/expected/subselect.out       | 118 ++++----
 src/test/regress/expected/tsrf.out            |  24 +-
 src/test/regress/expected/updatable_views.out |  30 +-
 src/test/regress/expected/update.out          |  10 +-
 src/test/regress/expected/with.out            |  30 +-
 src/test/regress/expected/xml.out             |   8 +-
 src/test/regress/expected/xml_2.out           |   8 +-
 23 files changed, 377 insertions(+), 374 deletions(-)

diff --git a/src/backend/commands/explain.c b/src/backend/commands/explain.c
index 48283ba82a6..ea6b39d5abb 100644
--- a/src/backend/commands/explain.c
+++ b/src/backend/commands/explain.c
@@ -2140,7 +2140,10 @@ show_plan_tlist(PlanState *planstate, List *ancestors, ExplainState *es)
 	}
 
 	/* Print results */
-	ExplainPropertyList("Output", result, es);
+	if (planstate->ps_ProjInfo)
+		ExplainPropertyList("Project", result, es);
+	else
+		ExplainPropertyList("Output", result, es);
 }
 
 /*
